public struct CarePlan: Codable, Hashable {
    public var activities: [Activity]?

    public init(activities: [Activity]? = nil) {
        self.activities = activities
    }

    enum CodingKeys: CodingKey {
        case activities
    }

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(activities, forKey: .activities)
    }
}



