//
//  ChartPointMark.swift
//  MinGraviditet
//
//  Created by Casper Christensen on 03/04/2025.
//

import SwiftUI

struct ChartPointMarkSymbol: View {
    var body: some View {
        ZStack {
            Circle().fill(ColorManager.bgSurfaceNeutralSecondary.currentColor())
                .frame(size: Metrics.Spacing.space24)
            Circle().fill(ColorManager.iconInteractivePrimary.currentColor())
                .frame(size: Metrics.Spacing.space16)
        }
    }
}

#Preview {
    ZStack {
        ColorManager.bgSurfaceInteractivePrimarySubtle.currentColor()
        ChartPointMarkSymbol()
    }
    .ignoresSafeArea(.all)
}
